using System;
using System.Linq;
using System.Collections.Generic;

namespace Treci_zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            var linija1 = Console.ReadLine().Split(' ');
            int vage = int.Parse(linija1[0]);
            int upiti = int.Parse(linija1[1]);
            int[] Resenja = new int[upiti];
            List<Tuple<int, int, int>> vage_lista = new List<Tuple<int, int, int>>();
            for (int i=0; i<vage; i++)
            {
                var linija = Console.ReadLine().Split(' ');
                vage_lista.Add(new Tuple<int, int, int>(i + 1, int.Parse(linija[0]), int.Parse(linija[1])));
            }
            vage_lista.Sort(
            (x, y) =>
            {
                int res = x.Item2.CompareTo(y.Item2);
                return res != 0 ? res : x.Item3.CompareTo(y.Item3);
            });
            for (int j=0; j<upiti; j++)
            {
                var linija = Console.ReadLine().Split();
                int k = 0;
                int l = int.Parse(linija[0]);
                int d = int.Parse(linija[1]);
                int x = int.Parse(linija[2]);
                while (k<vage && vage_lista[k].Item2 <= x)
                {
                    if (vage_lista[k].Item1 >= l && vage_lista[k].Item1 <= d && vage_lista[k].Item3 >= x)
                    {
                        Resenja[j]++;
                    }
                    k++;
                }
            }
            foreach(int resenje in Resenja)
            {
                Console.WriteLine(resenje);
            }
        }
    }
}